Get runners

  • GET /platform/infrastructure/runners
Auth

Retrieves an overview of all runners.

Query parameters

q string

An optional query to filter runners by. Maps to an Elasticsearch query_string query.

Response

An overview of all runners.

application/json
runners object[] required

List of runners

runner_id string required

The runner identifier

runner_name string

The runner name

zone string

Identifier of the zone

tags map string to string

Meta data of the runner, like image ID or processor architecture

features map string to boolean

State of features of the runner

host_ip string required

Host IP for the runner

public_hostname string required

Public hostname for the runner

containers object[] required

Containers for the runner

container_name string required

Name of this container

container_set_name string required

Name of the container set for the container

roles object[] required

Roles for the runner

role_name string required

Name of the role

connected boolean required

Specifies if the runner is connected

healthy boolean required

Specifies if the runner is healthy

region string

The region that this runner belongs to. Only populated in SaaS or federated ECE.